Name:           kde-plasma-apcups
Version:        0.2.1
Release:        1%{?dist}
Summary:        ApcUps Plasmoid

Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://code.google.com/p/plasma-apcups/
Source0:        http://plasma-apcups.googlecode.com/files/plasma-apcups-%{version}.tar.gz

BuildRequires:  kdelibs4-devel

%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}

%description
A KDE Plasma component that monitors uninterruptible power
supplies controlled by apcupsd <http://www.apcupsd.com/>.
It can connect to any UPS (or more precisely: any apcupsd
daemon) which is reachable over the network.


%prep
%setup -q -n plasma-apcups-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_apcups


%clean
rm -rf %{buildroot}


%files -f plasma_applet_apcups.lang
%defattr(-,root,root,-)
%doc LICENSE README CHANGELOG
%{_kde4_libdir}/kde4/plasma-applet-apcups.so
%{_kde4_libdir}/kde4/plasma_engine_apcups.so
%{_kde4_iconsdir}/hicolor/*/apps/apcups*
%{_kde4_appsdir}/plasma-applet-apcups/plasma-applet-apcups.notifyrc
%{_kde4_datadir}/kde4/services/plasma-applet-apcups.desktop
%{_kde4_datadir}/kde4/services/plasma-engine-apcups.desktop


%changelog
* Fri Feb 25 2011 Alexey Kurov <nucleo@fedoraproject.org> - 0.2.1-1
- Initial RPM release
